Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.lib.jdbc
Class SQLFormatter

    java.lang.Object
      org.apache.openjpa.lib.jdbc.SQLFormatter

    public class SQLFormatter

extends Object

Converts single-line SQL strings into nicely-formatted multi-line, indented statements. Example: from PERSON t0, COMPANY t1 WHERE t0.ID = 10 AND \ t0.COMPANY_ID = t1.ID AND t1.NAME = 'OpenJPA' becomes `SELECT * FROM PERSON t0, COMPANY t1 WHERE t0.ID = 10 AND t0.COMPANY_ID = t1.ID AND t1.NAME = 'OpenJPA'\` and `INSERT INTO PERSON VALUES('Patrick', 'Linskey', 'OpenJPA', \ '202 595 2064 x1111')` becomes `INSERT INTO PERSON VALUES('Patrick', 'Linskey', 'OpenJPA', '202 595 2064 x1111')` etc.

Author:
  Patrick Linskey

Constructor Summary
`SQLFormatter()`

Method Summary
`String` | `getClauseIndent()`
`boolean` | `getDoubleSpace()` If true, then output two lines after multi-line statements.
`int` | `getLineLength()`
`boolean` | `getMultiLine()` If true, then try to parse multi-line SQL statements.
`String` | `getNewline()`
`String` | `getWrapIndent()`
`static void` | `main(String[] args)`
`Object` | `prettyPrint(Object sqlObject)`
`void` | `setClauseIndent(String val)`
`void` | `setDoubleSpace(boolean doubleSpace)` If true, then output two lines after multi-line statements.
`void` | `setLineLength(int val)`
`void` | `setMultiLine(boolean multiLine)` If true, then try to parse multi-line SQL statements.
`void` | `setNewline(String val)`
`void` | `setWrapIndent(String val)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLFormatter

    public SQLFormatter()

Method Detail

### setNewline

    public void setNewline(String val)

### getNewline

    public String getNewline()

### setLineLength

    public void setLineLength(int val)

### getLineLength

    public int getLineLength()

### setWrapIndent

    public void setWrapIndent(String val)

### getWrapIndent

    public String getWrapIndent()

### setClauseIndent

    public void setClauseIndent(String val)

### getClauseIndent

    public String getClauseIndent()

### setMultiLine

    public void setMultiLine(boolean multiLine)

  If true, then try to parse multi-line SQL statements.

### getMultiLine

    public boolean getMultiLine()

  If true, then try to parse multi-line SQL statements.

### setDoubleSpace

    public void setDoubleSpace(boolean doubleSpace)

  If true, then output two lines after multi-line statements.

### getDoubleSpace

    public boolean getDoubleSpace()

  If true, then output two lines after multi-line statements.

### prettyPrint

    public Object prettyPrint(Object sqlObject)

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.